#include<fstream>
#include<cmath>
using namespace std;
int n,i;
int sn(int n,int i)
{
	if(n==1)
	{
		return 1;
	}
	if(n>1)
	{
		return sn(n-1,i)+pow(n,i);
	}
}
int main()
{
	ifstream fi("DQU.inp");
	ofstream fo("DQU.out");
	fi>>n>>i;
	fo<<sn(n,i);
	fi.close();
	fo.close();
}

